सामग्री पर जाएँ

Kling AI Avatar 2.0 Pro

इंटीग्रेट करें

मॉडल id kling-video/ai-avatar/v2/pro
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/ai-avatar/v2/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $1.15 1,150 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Kling लिपसिंक और अवतार लिपसिंक #avatar#talking-head#lipsync

एक पोर्ट्रेट और वॉइस ट्रैक को बोलते और हावभाव करते अवतार वीडियो में बदलता है।

Kling · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

डिफ़ॉल्ट .

वीडियो बनाते समय उपयोग किया गया प्रॉम्प्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

अवतार के रूप में उपयोग की जाने वाली इमेज की ओर संकेत करने वाला URL।

•आवश्यक audio_url
फ़ाइल ड्रॉप करें, या

ऑडियो फ़ाइल की ओर संकेत करने वाला URL।

POST /run/kling-video/ai-avatar/v2/pro?wait=20 कोटेशन → $1.15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/ai-avatar/v2/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kling AI Avatar 2.0 Pro के बारे में

Kling AI Avatar किसी व्यक्ति या पात्र की एकल फ़ोटो को इस तरह एनिमेट करता है कि वह दिए गए ऑडियो के साथ मेल खाते हुए होंठ, भाव-भंगिमाएँ और सिर की गति प्रदर्शित करे; वैकल्पिक प्रॉम्प्ट भावनाओं और हावभाव को निर्देशित करता है। क्लिप की लंबाई ऑडियो जितनी होती है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
अवतार के रूप में उपयोग की जाने वाली इमेज की ओर संकेत करने वाला URL।
audio_urlआवश्यक audio
प्रकारurl · audio
ऑडियो फ़ाइल की ओर संकेत करने वाला URL।
promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट.
वीडियो बनाते समय उपयोग किया गया प्रॉम्प्ट।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/ai-avatar/v2/pro",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1150,
    "usd": "1.15",
    "charged": 1150,
    "refunded": 0
  },
  "input": {
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "duration": 5
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा निर्मित वीडियो।
duration
numberआउटपुट वीडियो की लंबाई, सेकंड में मापी गई।

और मॉडल: लिपसिंक और अवतार

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kling-video/ai-avatar/v2/pro.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt